"""==============================================================
با فرض اینکه اطلاعات مربوط به ۱۰۰۰ دستگاه خودرو شامل شماره شاسی
شماره موتور سال ساخت و تعداد سیلندر به ترتیب مذکور در ارایه B
ذخیره شده است. منطق برنامه ای را طراحی کنید که اطلاعات مربوط به
۱۰۰۰ دستگاه خودرو را براساس شماره شاسی و به صورت نزولی مرتب کند.
=============================================================="""

B = [
    [2420114531,5420114531,1378,8],
    [3420114531,9420114531,1375,6],
    [1420114531,8420114531,1373,4],
    [2520114531,7420114531,1374,4],
]

#---------مرتب سازی با الگوریتم حبابی------------------

for i in range(len(B)):
    for j in range(len(B)-(i+1)):
        if B[j][0] < B[j+1][0]:
            temp = B[j]
            B[j] = B[j+1]
            B[j+1] = temp
for i in B:
    print(i)